Bug 1448943 - Unable to add multiple elements to a dialog
Summary: Unable to add multiple elements to a dialog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Harpreet Kataria
QA Contact: Shveta
URL:
Whiteboard: service:dialog
Depends On: 1448274
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-08 18:18 UTC by Satoe Imaishi
Modified: 2017-05-31 15:10 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1448274
Environment:
Last Closed: 2017-05-31 15:10:22 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-05-08 18:28:28 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/b464832dc438d88df7697a0407d34df91b7699a4

commit b464832dc438d88df7697a0407d34df91b7699a4
Author:     Oleg Barenboim <chessbyte@gmail.com>
AuthorDate: Mon May 8 13:50:57 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon May 8 14:22:25 2017 -0400

    Merge pull request #1306 from h-kataria/dialog_editor_add_element_fix
    
    Clear out all dialog resources before adding/validating.
    (cherry picked from commit 91a9c32ecab7d4fc7faac12391b7ee9ebedaedbb)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1448943

 .../miq_ae_customization_controller/dialogs.rb     |  2 +-
 .../dialogs_spec.rb                                | 78 ++++++++++++++++++++++
 2 files changed, 79 insertions(+), 1 deletion(-)

Comment 3 Shveta 2017-05-11 05:24:14 UTC
Fixed .
Verified in  5.8.0.14-rc3.20170509175238_5dbf87a

Comment 5 errata-xmlrpc 2017-05-31 15:10:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.